www.cendio.com
Bug 5858 - Impossible to scroll viewport in Web Access in Safari (on Mac OS)
: Impossible to scroll viewport in Web Access in Safari (on Mac OS)
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: Macintosh macOS
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-04-25 16:51 by
Modified: 2017-04-20 11:00 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-04-25 16:51:51
If the session is larger than the browser window there is no way to pan or
scroll in 10.10 and newer versions of OS X.

How to reproduce:
1. Open a session using the HTML5 client in Safari on Mac OS X 10.10 or newer
2. Make the remote session larger than your browser window using, for example,
xrandr
3. Parts of the session is now outside of the viewport and you can't scroll or
pan

The user can in the settings for Safari disable auto-hide scrollbars to work
around this.
------- Comment #1 From cendio 2016-04-25 16:53:25 -------
Fixed upstream by forcing clipping mode in Safari:
https://github.com/kanaka/noVNC/issues/598
------- Comment #3 From cendio 2017-02-16 17:01:08 -------
Fixed in upstream noVNC now.
------- Comment #5 From cendio 2017-02-20 15:36:54 -------
Verified that ThinLinc 4.7.0 made Safari to show pan tool in toolbar instead of
scrollbars. Tested against tl-4.7.0post_5377.r32212.jenkins543 that not pan
toolbar is shown and the scrollbars works as expected.

Closing.